# Manual d'usuari del meinproc6

8 de maig de 2014
Frameworks 5.0
Frameworks del KDE

meinproc6
1

# `meinproc6`

Traductor &kde; per a &XML;

## Sinopsi

    meinproc6 -h, --help -v, --version --cache fitxer --check --srcdir dir --param clau=valor   -o --output   fitxer  --stdout --stylesheet xsl fitxer_docbook

## Descripció

`meinproc6` converteix fitxers DocBook a &HTML;.

## Opcions genèriques

`-h``--help`

  Mostra ajuda quant a les opcions.

`-v``--version`

  Mostra la informació sobre la versió.

## Opcions de l'aplicació

`--cache` `fitxer`

  Crea un fitxer de cau per al document.

`--check`

  Comprova la validesa del document.

      La sortida pot ser una mica intimidatòria, ja que una petita equivocació pot causar una cascada d'errors.
      El truc és mirar en el primer error, corregir-lo, deseu el fitxer, i executeu meinproc6 de nou.

`-o`, `--output` `fitxer`

  Envia tot el document cap a un `fitxer`.

`--stdout`

  Envia tot el document cap a stdout.

`--stylesheet` `xsl`

  Full d'estil a utilitzar.

`--srcdir` `dir`

  Estableix el directori arrel per a la cerca de les kdoctools.

`--param` clau=valor

  Estableix els paràmetres a passar al full d'estil.

## Ús

La manera més habitual d'executar `meinproc6` és simplement com

    meinproc6 fitxer-docbook

a on fitxer-docbook generalment serà index.docbook. Aquesta ordre crea pàgines &HTML; del fitxer DocBook. Cal tenir en compte que aquestes pàgines només són visibles en els navegadors basats en el &kde; (com el &konqueror;).

Si necessiteu veure la sortida &HTML; en un altre navegador (per exemple, si el feu disponible en línia), utilitzeu

    meinproc6 --stylesheet nom-full-estil fitxer-docbook

a on nom-full-estil serà el camí complet cap a un dels fulls d'estil XSL en <prefix_instal·lació_kdoctools>/share/kf5/kdoctools/customization/. Per a generar una sortida adequada per a la web, podeu utilitzar `kde-web.xsl` o `kde-chunk-online.xsl`. Per a més detalls, vegeu el fitxer `README` en aquesta carpeta.

## Vegeu també

kf6options(7), qt6options(7)

## Errors

Si us plau, empreu el Seguidor d'errors del &kde; (escriviu-hi en anglès) per a informar dels errors.